=== modified file 'lava_server/templates/403.html'
--- lava_server/templates/403.html	2010-09-23 00:03:14 +0000
+++ lava_server/templates/403.html	2011-07-08 02:56:22 +0000
@@ -1,8 +1,8 @@
-{% extends "base.html" %}
-
-{% block title %}
-| HTTP 403
-{% endblock %}
+{% extends "layouts/content.html" %}
+
+
+{% block title %} | HTTP 403 {% endblock %}
+
 
 {% block content %}
 <h1>403 Forbidden</h1>

=== modified file 'lava_server/templates/404.html'
--- lava_server/templates/404.html	2010-09-23 00:03:14 +0000
+++ lava_server/templates/404.html	2011-07-08 02:56:22 +0000
@@ -1,8 +1,6 @@
 {% extends "base.html" %}
 
-{% block title %}
-| HTTP 404
-{% endblock %}
+{% block title %} | HTTP 404 {% endblock %}
 
 {% block content %}
 <h1>404 Not found</h1>

=== added file 'lava_server/templates/500.html'
--- lava_server/templates/500.html	1970-01-01 00:00:00 +0000
+++ lava_server/templates/500.html	2011-07-08 02:56:22 +0000
@@ -0,0 +1,7 @@
+{% extends "layouts/content.html" %}
+
+{% block title %} | HTTP 500 {% endblock %}
+
+{% block content %}
+<h1>500 Internal Server Error</h1>
+{% endblock %}

=== removed file 'lava_server/templates/base.html'
--- lava_server/templates/base.html	2011-07-07 18:17:41 +0000
+++ lava_server/templates/base.html	1970-01-01 00:00:00 +0000
@@ -1,71 +0,0 @@
-{% extends "layouts/content_with_sidebar.html" %}
-{% load i18n %}
-
-
-{% block extrahead %}
-<link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}lava/css/default.css"/>
-<link href='http://fonts.googleapis.com/css?family=Ubuntu:regular,italic,bold,bolditalic' rel='stylesheet' type='text/css'/>
-{% endblock %}
-
-
-{% block header %}
-  <div id="account_info">
-    {% if user.is_authenticated %}
-      {% blocktrans %}Signed in as {{user}}{% endblocktrans %}
-      <a class="sign_out" href="{% url django.contrib.auth.views.logout %}">{% trans "Sign out" %}</a>
-      {% if user.is_staff %}
-      {% trans " or visit " %}<a class="admin_site" href="{% url admin:index %}"
-        >{% trans "admin interface" %}</a>
-      {% endif %}
-    {% else %}
-      {% trans "You are not signed in" %}
-      <a class="sign_in" href="{% url django.contrib.auth.views.login %}">{% trans "Sign in" %}</a>
-    {% endif %}
-  </div>
-  <h1><a href="{% url lava.home %}">LAVA</a></h1>
-  <div class="version">
-    {% trans "Server Version:" %} {{ lava.version }} | <a href="{% url lava.version_details %}">{% trans "details..." %}</a>
-  </div>
-{% endblock %}
-
-
-{% block navigation %}
-<ul class="menu">
-  <li><a href="{% url lava.home %}">{% trans "Home" %}</a></li>
-  {% for extension in lava.extensions %}
-  <li><a href="{{ extension.get_main_url }}">{{ extension.name }}</a></li>
-  {% endfor %}
-  <li><a href="{% url linaro_django_xmlrpc.views.default_handler %}">{% trans "XML-RPC" %}</a></li>
-</ul>
-<div style="clear:both"></div>
-{% endblock %}
-
-
-{% block breadcrumbs_outer %}
-<div class="header">{% trans "You are here: " %}</div>
-<ul>
-  <li><a href="{% url lava.home %}">{% trans "Home" %}</a></li>
-  {% block breadcrumbs %}{% endblock %}
-</ul>
-{% endblock %}
-
-
-{% block footer %} 
-<p id="copyright">
-{% blocktrans %}
-LAVA Server is free software developed by <a
-  href="http://linaro.org">Linaro</a>. It is distributed under the terms of
-the <a href="http://www.gnu.org/licenses/agpl-3.0.html"
-  >GNU Affero General Public License version 3</a>. You have the right to
-obtain source code of any server side installations of this software that you
-interact with.
-{% endblocktrans %}
-</p>
-<p>
-{% blocktrans %}
-This website should contain only valid XHTML markup, you can <a
-  href="http://validator.w3.org/check?uri=referer">validate it</a>
-if you wish
-{% endblocktrans %}
-</p>
-{% endblock %}

=== modified file 'lava_server/templates/index.html'
--- lava_server/templates/index.html	2011-05-24 16:24:46 +0000
+++ lava_server/templates/index.html	2011-07-08 02:56:22 +0000
@@ -1,4 +1,4 @@
-{% extends "base.html" %}
+{% extends "layouts/content.html" %}
 {% load i18n %}
 
 
@@ -11,12 +11,7 @@
 {% endblock %}
 
 
-{% block sidebar %}
-{% endblock %}
-
-
 {% block content %}
-
 <h2>About LAVA</h2>
 <p>LAVA is a stack of technologies developed by Linaro Validation team that
 facilitates unattended image deployment, test planning, scheduling, execution,

=== modified file 'lava_server/templates/layouts/base.html'
--- lava_server/templates/layouts/base.html	2010-12-09 19:49:37 +0000
+++ lava_server/templates/layouts/base.html	2011-07-08 02:56:22 +0000
@@ -1,11 +1,38 @@
+{% load i18n %}
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml" lang="{{ LANGUAGE_CODE }}" xml:lang="{{ LANGUAGE_CODE }}" {% if LANGUAGE_BIDI %}dir="rtl"{% endif %}>
   <head>
     <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
     <title>{% block title %}{% endblock %}</title>
+    {% block scripts_and_styles %}
+    <script type="text/javascript" src="{{ STATIC_URL }}lava/js/jquery-1.5.1.min.js"></script> 
+    <script type="text/javascript" src="{{ STATIC_URL }}lava/js/jquery-ui-1.8.12.custom.min.js"></script> 
+    <link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}lava/css/Aristo/jquery-ui-1.8.7.custom.css"/>
+    <link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}lava/css/default.css"/>
+    {% endblock %}
+    <!--
+    <link href='http://fonts.googleapis.com/css?family=Ubuntu:regular,italic,bold,bolditalic' rel='stylesheet' type='text/css'/>
+    -->
     {% block extrahead %}{% endblock %}
   </head>
   <body>
-    {% block body %}{% endblock %}
+    {% block ajax_notification %}
+    <div id="ajax_notification">
+      <img src="{{ STATIC_URL }}lava/images/ajax-progress.gif"/>
+      {% trans "AJAX request is in progress..." %}
+    </div>
+    <script type="text/javascript">
+      // +5 is for the shadow
+      $("#ajax_notification").css("top", -($('#ajax_notification').outerHeight() + 5) + "px").show();
+      $(document).ajaxStart(function() {
+        $('#ajax_notification').show().animate({top: "0"}, 1000);
+      }).ajaxStop(function() {
+        // +5 is for the shadow
+        $('#ajax_notification').animate({top: -($('#ajax_notification').outerHeight() + 5)}, 1000).hide();
+      });
+    </script>
+    {% endblock %}
+    {% block body %}
+    {% endblock %}
   </body>
 </html>

=== added file 'lava_server/templates/layouts/content.html'
--- lava_server/templates/layouts/content.html	1970-01-01 00:00:00 +0000
+++ lava_server/templates/layouts/content.html	2011-07-08 02:56:22 +0000
@@ -0,0 +1,94 @@
+{% extends "layouts/base.html" %}
+{% load i18n %}
+
+
+{% block title %}
+{% trans "LAVA" %}
+{% endblock %}
+
+
+{% block body %}
+<table id="master_container">
+  <tr>
+    <td colspan="2" id="header">
+      {% block header %}
+      <div id="account_info">
+        {% if user.is_authenticated %}
+        {% blocktrans %}Signed in as {{user}}{% endblocktrans %}
+        <a class="sign_out" href="{% url django.contrib.auth.views.logout %}">{% trans "Sign out" %}</a>
+        {% if user.is_staff %}
+        {% trans " or visit " %}<a class="admin_site" href="{% url admin:index %}"
+          >{% trans "admin interface" %}</a>
+        {% endif %}
+        {% else %}
+        {% trans "You are not signed in" %}
+        <a class="sign_in" href="{% url django.contrib.auth.views.login %}">{% trans "Sign in" %}</a>
+        {% endif %}
+      </div>
+      <h1><a href="{% url lava.home %}">LAVA</a></h1>
+      <div class="version">
+        {% trans "Server Version:" %} {{ lava.version }} | <a href="{% url lava.version_details %}">{% trans "details..." %}</a>
+      </div>
+      {% endblock %}
+      {% block navigation %}
+      <ul class="menu">
+        <li><a href="{% url lava.home %}">{% trans "Home" %}</a></li>
+        {% for extension in lava.extensions %}
+        <li><a href="{{ extension.get_main_url }}">{{ extension.name }}</a></li>
+        {% endfor %}
+        <li><a href="{% url linaro_django_xmlrpc.views.default_handler %}">{% trans "XML-RPC" %}</a></li>
+      </ul>
+      <div style="clear:both"></div>
+      {% endblock %}
+    </td>
+  </tr>
+  <tr id="extension_navigation">
+    <td colspan="2">
+      {% block extension_navigation %}{% endblock %}
+    </td>
+  </tr>
+  <tr id="navigation">
+    <td colspan="2">
+      <div id="breadcrumbs">
+        {% block breadcrumbs_outer %}
+        <div class="header">{% trans "You are here: " %}</div>
+        <ul>
+          <li><a href="{% url lava.home %}">{% trans "Home" %}</a></li>
+          {% block breadcrumbs %}{% endblock %}
+        </ul>
+        {% endblock %}
+      </div>
+      <div style="clear: both;"></div>
+    </td>
+  </tr>
+  <tr>
+    <td id="content">
+      {% block content %}{% endblock %}
+    </td>
+  </tr>
+  <tr>
+    <td id="rounded_content_footer"></td>
+  </tr>
+</table>
+<div id="footer">
+  {% block footer %}
+  <p id="copyright">
+  {% blocktrans %}
+  LAVA Server is free software developed by <a
+    href="http://linaro.org">Linaro</a>. It is distributed under the terms of
+  the <a href="http://www.gnu.org/licenses/agpl-3.0.html"
+    >GNU Affero General Public License version 3</a>. You have the right to
+  obtain source code of any server side installations of this software that you
+  interact with.
+  {% endblocktrans %}
+  </p>
+  <p>
+  {% blocktrans %}
+  This website should contain only valid XHTML markup, you can <a
+    href="http://validator.w3.org/check?uri=referer">validate it</a>
+  if you wish
+  {% endblocktrans %}
+  </p>
+  {% endblock %}
+</div>
+{% endblock %}

=== modified file 'lava_server/templates/layouts/content_with_sidebar.html'
--- lava_server/templates/layouts/content_with_sidebar.html	2011-06-29 11:37:42 +0000
+++ lava_server/templates/layouts/content_with_sidebar.html	2011-07-08 02:56:22 +0000
@@ -11,8 +11,35 @@
 <table id="master_container">
   <tr>
     <td colspan="2" id="header">
-      {% block header %}{% endblock %}
-      {% block navigation %}{% endblock %}
+      {% block header %}
+      <div id="account_info">
+        {% if user.is_authenticated %}
+        {% blocktrans %}Signed in as {{user}}{% endblocktrans %}
+        <a class="sign_out" href="{% url django.contrib.auth.views.logout %}">{% trans "Sign out" %}</a>
+        {% if user.is_staff %}
+        {% trans " or visit " %}<a class="admin_site" href="{% url admin:index %}"
+          >{% trans "admin interface" %}</a>
+        {% endif %}
+        {% else %}
+        {% trans "You are not signed in" %}
+        <a class="sign_in" href="{% url django.contrib.auth.views.login %}">{% trans "Sign in" %}</a>
+        {% endif %}
+      </div>
+      <h1><a href="{% url lava.home %}">LAVA</a></h1>
+      <div class="version">
+        {% trans "Server Version:" %} {{ lava.version }} | <a href="{% url lava.version_details %}">{% trans "details..." %}</a>
+      </div>
+      {% endblock %}
+      {% block navigation %}
+      <ul class="menu">
+        <li><a href="{% url lava.home %}">{% trans "Home" %}</a></li>
+        {% for extension in lava.extensions %}
+        <li><a href="{{ extension.get_main_url }}">{{ extension.name }}</a></li>
+        {% endfor %}
+        <li><a href="{% url linaro_django_xmlrpc.views.default_handler %}">{% trans "XML-RPC" %}</a></li>
+      </ul>
+      <div style="clear:both"></div>
+      {% endblock %}
     </td>
   </tr>
   <tr id="extension_navigation">
@@ -23,7 +50,13 @@
   <tr id="navigation">
     <td colspan="2">
       <div id="breadcrumbs">
-        {% block breadcrumbs_outer %}{% endblock %}
+        {% block breadcrumbs_outer %}
+        <div class="header">{% trans "You are here: " %}</div>
+        <ul>
+          <li><a href="{% url lava.home %}">{% trans "Home" %}</a></li>
+          {% block breadcrumbs %}{% endblock %}
+        </ul>
+        {% endblock %}
       </div>
       <div style="clear: both;"></div>
     </td>
@@ -42,6 +75,24 @@
   </tr>
 </table>
 <div id="footer">
-  {% block footer %}{% endblock %}
+  {% block footer %}
+  <p id="copyright">
+  {% blocktrans %}
+  LAVA Server is free software developed by <a
+    href="http://linaro.org">Linaro</a>. It is distributed under the terms of
+  the <a href="http://www.gnu.org/licenses/agpl-3.0.html"
+    >GNU Affero General Public License version 3</a>. You have the right to
+  obtain source code of any server side installations of this software that you
+  interact with.
+  {% endblocktrans %}
+  </p>
+  <p>
+  {% blocktrans %}
+  This website should contain only valid XHTML markup, you can <a
+    href="http://validator.w3.org/check?uri=referer">validate it</a>
+  if you wish
+  {% endblocktrans %}
+  </p>
+  {% endblock %}
 </div>
 {% endblock %}

=== modified file 'lava_server/templates/layouts/dialog.html'
--- lava_server/templates/layouts/dialog.html	2010-12-09 19:49:37 +0000
+++ lava_server/templates/layouts/dialog.html	2011-07-08 02:56:22 +0000
@@ -1,6 +1,12 @@
 {% extends "layouts/base.html" %}
 
 
+{% block scripts_and_styles %}
+<script type="text/javascript" src="{{ STATIC_URL }}lava/js/jquery-1.5.1.min.js"></script> 
+<script type="text/javascript" src="{{ STATIC_URL }}lava/js/jquery-ui-1.8.12.custom.min.js"></script> 
+{% endblock %}
+
+
 {% block extrahead %}
 <style type="text/css">
   #master_container {

=== added file 'lava_server/templates/linaro_django_xmlrpc/_base.html'
--- lava_server/templates/linaro_django_xmlrpc/_base.html	1970-01-01 00:00:00 +0000
+++ lava_server/templates/linaro_django_xmlrpc/_base.html	2011-07-08 02:56:22 +0000
@@ -0,0 +1,21 @@
+{% extends "layouts/content.html" %}
+{% load i18n %}
+
+
+{% block title %}
+{{ block.super }} | {% trans "XML-RPC API" %}
+{% endblock %}
+
+
+{% block extension_navigation %}
+<ul>
+  <li><a href="{% url linaro_django_xmlrpc.views.default_handler %}">{% trans "XML-RPC Handler" %}</a></li>
+  <li><a href="{% url linaro_django_xmlrpc.views.tokens %}">{% trans "Authentication tokens" %}</a></li>
+</ul>
+{% endblock %}
+
+
+{% block breadcrumbs %}
+{{ block.super }}
+<li><a href="{% url linaro_django_xmlrpc.views.handler %}">{% trans "XML-RPC" %}</a></li>
+{% endblock %}

=== modified file 'lava_server/templates/linaro_django_xmlrpc/api.html'
--- lava_server/templates/linaro_django_xmlrpc/api.html	2011-06-02 23:12:39 +0000
+++ lava_server/templates/linaro_django_xmlrpc/api.html	2011-07-08 02:56:22 +0000
@@ -1,18 +1,9 @@
-{% extends "base.html" %}
+{% extends "linaro_django_xmlrpc/_base.html" %}
 {% load markup %}
 {% load i18n %}
 
 
-{% block title %}
-{{ block.super }} | {% trans "XML-RPC API" %}
-{% endblock %}
-
-{% block extrahead %}
-{{ block.super }}
-<script type="text/javascript" src="{{ STATIC_URL }}lava/js/jquery-1.5.1.min.js"></script>
-<script type="text/javascript" src="{{ STATIC_URL }}lava/js/jquery-ui-1.8.12.custom.min.js"></script>
-<link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}lava/css/Aristo/jquery-ui-1.8.7.custom.css"/>
-{% endblock %}
+{% block title %} {{ block.super }} | {% trans "Handler" %}{% endblock %}
 
 
 {% block breadcrumbs %}

=== modified file 'lava_server/templates/linaro_django_xmlrpc/authtoken_confirm_delete.html'
--- lava_server/templates/linaro_django_xmlrpc/authtoken_confirm_delete.html	2011-06-07 04:50:50 +0000
+++ lava_server/templates/linaro_django_xmlrpc/authtoken_confirm_delete.html	2011-07-08 02:56:22 +0000
@@ -1,17 +1,16 @@
-{% extends "base.html" %}
+{% extends "linaro_django_xmlrpc/_base.html" %}
 
 
 {% block content %}
 <form action="" method="POST">
   {% csrf_token %}
   <p>Would you like to delete {{ token }} 
-{% if token.description %}
-with description &ldquo;{{ token.description }}&rdquo;?
-{% else %}
-with no description?
-{% endif %}
-</p>
-
-  <button type="submit">Delete</button>
+  {% if token.description %}
+  with description &ldquo;{{ token.description }}&rdquo;?
+  {% else %}
+  with no description?
+  {% endif %}
+  </p>
+  <input type="submit" value="Yes, Delete"/>
 </form>
 {% endblock %}

=== modified file 'lava_server/templates/linaro_django_xmlrpc/create_token.html'
--- lava_server/templates/linaro_django_xmlrpc/create_token.html	2011-06-07 04:50:50 +0000
+++ lava_server/templates/linaro_django_xmlrpc/create_token.html	2011-07-08 02:56:22 +0000
@@ -1,4 +1,6 @@
-{% extends "base.html" %}
+{% extends "linaro_django_xmlrpc/_base.html" %}
+{% load i18n %}
+
 
 {% block content %}
 <h1>Create new authentication token</h1>

=== modified file 'lava_server/templates/linaro_django_xmlrpc/edit_token.html'
--- lava_server/templates/linaro_django_xmlrpc/edit_token.html	2011-06-07 04:50:50 +0000
+++ lava_server/templates/linaro_django_xmlrpc/edit_token.html	2011-07-08 02:56:22 +0000
@@ -1,4 +1,6 @@
-{% extends "base.html" %}
+{% extends "linaro_django_xmlrpc/_base.html" %}
+{% load i18n %}
+
 
 {% block content %}
 <h1>Edit token {{ token.pk }}</h1>

=== modified file 'lava_server/templates/linaro_django_xmlrpc/tokens.html'
--- lava_server/templates/linaro_django_xmlrpc/tokens.html	2011-06-07 04:50:50 +0000
+++ lava_server/templates/linaro_django_xmlrpc/tokens.html	2011-07-08 02:56:22 +0000
@@ -1,4 +1,13 @@
-{% extends "base.html" %}
+{% extends "linaro_django_xmlrpc/_base.html" %}
+{% load i18n %}
+
+
+{% block title %} {{ block.super }} | {% trans "Handler" %}{% endblock %}
+
+
+{% block breadcrumbs %}
+<li><a href="{% url linaro_django_xmlrpc.views.handler %}">{% trans "XML-RPC API" %}</a></li>
+{% endblock %}
 
 
 {% block content %}

=== removed file 'lava_server/templates/list.html'
--- lava_server/templates/list.html	2010-09-09 16:32:28 +0000
+++ lava_server/templates/list.html	1970-01-01 00:00:00 +0000
@@ -1,24 +0,0 @@
-{% extends "base.html" %}
-
-{% block content %}
-  {% if paginator.count %}
-    {% block content_list %}{% endblock %}
-    {% block pagination %}
-    {% if page_obj.has_other_pages %}
-      <div class="pagination">
-      {% if page_obj.has_previous %}
-        <a href="?page={{ page_obj.previous_page_number }}">previous</a>
-      {% endif %}
-      Page {{ page_obj.number }} of {{ paginator.num_pages }}.
-      {% if page_obj.has_next %}
-        <a href="?page={{ page_obj.next_page_number }}">next</a>
-      {% endif %}
-      </div>
-    {% endif %}
-    {% endblock %}
-  {% else %}
-    {% block no_content %}
-    <p>Nothing to show</p>
-    {% endblock %}
-  {% endif %}
-{% endblock %}

=== modified file 'lava_server/templates/registration/base.html'
--- lava_server/templates/registration/base.html	2011-06-02 22:56:46 +0000
+++ lava_server/templates/registration/base.html	2011-07-08 02:56:22 +0000
@@ -5,11 +5,9 @@
 {% block title %}{% trans "Account management" %}{% endblock %}
 
 
-{% block extrahead %}
+{% block scripts_and_styles %}
 {{ block.super }}
 <link rel="stylesheet" type="text/css" href="{{ STATIC_URL }}lava/css/login.css"/>
-<link href='http://fonts.googleapis.com/css?family=Ubuntu:regular,italic,bold,bolditalic' rel='stylesheet' type='text/css'>
-<script src="{{ STATIC_URL }}lava/js/jquery-1.5.1.min.js" type="text/javascript"></script>
 <script src="{{ STATIC_URL }}lava/js/jquery.watermark.min.js" type="text/javascript"></script>
 <script src="{{ STATIC_URL }}lava/js/jquery.pseudofocus.js" type="text/javascript"></script>
 {% endblock %}
@@ -20,6 +18,10 @@
 {% endblock %}
 
 
+{% block ajax_notification %}
+{% endblock %}
+
+
 {% block content %}
 {% endblock %}
 

=== modified file 'lava_server/templates/registration/logged_out.html'
--- lava_server/templates/registration/logged_out.html	2010-09-28 16:32:43 +0000
+++ lava_server/templates/registration/logged_out.html	2011-07-08 02:56:22 +0000
@@ -1,4 +1,4 @@
-{% extends "base.html" %}
+{% extends "layouts/content.html" %}
 {% load i18n %}
 
 {% block content %}

=== modified file 'lava_server/templates/version_details.html'
--- lava_server/templates/version_details.html	2011-05-30 15:43:10 +0000
+++ lava_server/templates/version_details.html	2011-07-08 02:56:22 +0000
@@ -1,4 +1,4 @@
-{% extends "base.html" %}
+{% extends "layouts/content.html" %}
 
 
 {% block breadcrumbs %}