=== modified file 'lava_server/htdocs/css/default.css'
--- lava_server/htdocs/css/default.css	2011-07-12 02:22:10 +0000
+++ lava_server/htdocs/css/default.css	2011-07-25 23:18:01 +0000
@@ -1,64 +1,75 @@
-body, p, input, th, td {
+body, input, th, td {
   font-family: Ubuntu, Helvetica Neue, Verdana, sans-serif;
-  font-size: 9pt;
+  font-size: 10pt;
 }
 
 code {
   font-family: UbuntuBeta Mono, Lucida Console, Consolas, monospace;
-  font-size: 9pt;
+  font-size: 10pt;
 }
 
 body {
-  background-color: white;
-  color: black;
-  margin: 1em auto;
+  color: 333;
+  background-color: #f5f6f7;
   padding: 0;
-  width: 80%;
-  min-width: 800px;
-  overflow-y: scroll;
+  margin: 0;
+}
+
+a {
+  color: #08C;
+}
+
+
+/* Selection style */
+
+::selection { 
+  color: white !important;
+  background-color: #222 !important;
+}
+
+::-moz-selection {
+  color: white !important;
+  background-color: #222 !important;
+}
+
+::-webkit-selection {
+  color: white !important;
+  background-color: #222 !important;
+}
+
+/* The master container of all things, similar to body */
+
+#lava-container {
 }
 
 /* Header */
 
 #lava-server-header {
-}
-
-/* Home link */
-
-#lava-server-home {
-  margin-bottom: 1ex;
-}
-
-/* User box */
+  background: #706f6f url(../images/dark-noise.png);
+  color: #f1efef;
+  font-family: "Ubuntu Light", Helvetica Neue, Verdana, sans-serif;
+  font-size: 12pt;
+  box-shadow: 0 3px 3px rgba(127, 127, 127, 0.5);
+  text-shadow: 1px 1px 0px #333, 0 0 3px #000;
+  padding: 0.9ex 2ex;
+}
+
+#lava-server-header a {
+  color: inherit;
+}
+
+/* User Box (part of header) */
 
 #lava-server-user-box {
-  float: right;
+  text-align: right;
+  font-size: 9pt;
 }
 
 #lava-server-user-box span.username {
   font-weight: bold;
 }
 
-#lava-server-user-box .ui-button-text {
-  padding: 2px;
-  font-size: inherit;
-}
-
-/* Main and sub toolbars */
-
-.lava-server-toolbar {
-  margin: 1ex 0;
-  padding: 3pt;
-}
-
-.lava-server-sub-toolbar {
-  font-size: smaller !important;
-}
-
-.lava-server-sub-toolbar .ui-button-text {
-  padding: 2px;
-  font-size: inherit;
-}
+/* Navigation (part of header) */ 
 
 #lava-server-navigation ul,
 #lava-server-extension-navigation ul {
@@ -69,25 +80,29 @@
 
 #lava-server-navigation ul li,
 #lava-server-extension-navigation ul li {
+  margin: 0 1ex 0 0;
+  padding: 0;
   list-style: none;
   display: inline-block;
 }
 
-#lava-server-navigation,
-#lava-server-extension-navigation {
-  margin-bottom: 3pt;
+#lava-server-navigation ul li a,
+#lava-server-extension-navigation ul li a {
+  font-family: Ubuntu Condensed, Helvetica Neue, Verdana, sans-serif;
+  text-decoration: none;
 }
 
 /* Breadcrumbs */
 
 #lava-server-breadcrumbs {
-  font-size: 8pt;
-  margin: 1ex;
+  font-size: 10pt;
+  margin: 1ex 1em;
+  padding: 0;
 }
 
 #lava-server-breadcrumbs ul {
   display: inline-block;
-  margin: 0 3pt;
+  margin: 0;
   padding: 0;
 }
 
@@ -96,43 +111,84 @@
   display: inline-block;
   margin: 0;
   padding: 0;
-  font-weight: normal;
 }
 
 #lava-server-breadcrumbs ul li a {
   text-decoration: underline;
+  color: inherit;
 }
 
 #lava-server-breadcrumbs ul li:before {
-  content: "»";
-  margin: 0 1ex;
+  content: "» ";
 }
 
 #lava-server-breadcrumbs ul li:first-child:before {
   content: "";
-  margin: 0;
 }
 
-/* Content table */
+/* Content */
 
 #lava-server-content {
+  color: #444;
+  padding: 1ex 3em;
+  border: 1px solid #999;
+  Border-radius: 3px;
+  margin: 1ex;
+  min-width: 800px;
+  background-color: white;
 }
 
 #lava-server-sidebar {
-  margin: 1em 0;
+}
+
+h1 {
+  color: #222;
+  border-bottom: 3pt solid #444;
+}
+
+h2 {
+  color: #222;
+  border-bottom: 2pt solid #444;
+}
+
+h3 {
+  color: #111;
 }
 
 /* Footer */
 
 #lava-server-footer {
+}
+
+/* Copyright */
+#lava-server-copyright-trigger,
+#lava-server-copyright {
+  margin: 1ex;
+  font-family: Ubuntu Condensed, Helvetica Neue, Verdana, sans-serif;
+  text-align: center;
+}
+
+#lava-server-copyright-trigger span {
+  color: #999;
+  border-radius: 6pt;
+  padding: 2pt 5pt;
+  cursor: pointer;
+}
+
+#lava-server-copyright-trigger span:hover {
+  color: white;
+  background-color: #08C;
+}
+
+#lava-server-copyright {
   clear: both;
-  color: gray;
-  font-size: smaller;
-  margin-top: 2em;
-  text-align: center;
+  color: #666;
+  margin: auto;
+  text-align: justify;
+  width: 800px;
 }
 
-#lava-server-footer a {
+#lava-server-copyright a {
   color: inherit !important;
 }
 
@@ -158,10 +214,11 @@
 
 /* Ajax notification bar */
 
-#ajax_notification {
+#lava-server-working {
   background-color: white;
   box-shadow: 0 5px 5px rgba(0, 0, 0, 0.5);
-  color: black;
+  color: #555;
+  border-bottom: 1px solid #777;
   display: hidden;
   font-size: 12pt;
   font-weight: bold;
@@ -174,7 +231,7 @@
   z-index: 1000;
 }
 
-#ajax_notification img {
+#lava-server-working img {
   vertical-align: baseline;
   position: relative;
   top: 3px;

=== added file 'lava_server/htdocs/images/dark-noise.png'
Binary files lava_server/htdocs/images/dark-noise.png	1970-01-01 00:00:00 +0000 and lava_server/htdocs/images/dark-noise.png	2011-07-25 23:18:01 +0000 differ
=== modified file 'lava_server/templates/layouts/base.html'
--- lava_server/templates/layouts/base.html	2011-07-12 15:05:51 +0000
+++ lava_server/templates/layouts/base.html	2011-07-25 23:18:01 +0000
@@ -1,4 +1,3 @@
-{% load i18n %}
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml" lang="{{ LANGUAGE_CODE }}" xml:lang="{{ LANGUAGE_CODE }}" {% if LANGUAGE_BIDI %}dir="rtl"{% endif %}>
   <head>
@@ -14,18 +13,19 @@
   </head>
   <body>
     {% block ajax_notification %}
-    <div id="ajax_notification">
+    <div id="lava-server-working" style="display: none">
       <img src="{{ STATIC_URL }}lava-server/images/ajax-progress.gif"/>
-      {% trans "AJAX request is in progress..." %}
+      {% load i18n %}
+      {% trans "working..." %}
     </div>
     <script type="text/javascript">
       $(document).ajaxStart(function() {
       // +5 is for the shadow
-        $("#ajax_notification").css("top", -($('#ajax_notification').outerHeight() + 5) + "px");
-        $('#ajax_notification').show().animate({top: "0"}, 1000);
+        $("#lava-server-working").css("top", -($('#ajax_notification').outerHeight() + 5) + "px");
+        $('#lava-server-working').show().animate({top: "0"}, 1000);
       }).ajaxStop(function() {
         // +5 is for the shadow
-        $('#ajax_notification').animate({top: -($('#ajax_notification').outerHeight() + 5)}, 1000).hide();
+        $('#lava-server-working').animate({top: -($('#ajax_notification').outerHeight() + 5)}, 1000).hide();
       });
     </script>
     {% endblock %}

=== modified file 'lava_server/templates/layouts/content.html'
--- lava_server/templates/layouts/content.html	2011-07-13 12:48:44 +0000
+++ lava_server/templates/layouts/content.html	2011-07-25 23:18:01 +0000
@@ -3,104 +3,110 @@
 
 
 {% block body %}
-{% block header %}
-<!-- header -->
-<div id="lava-server-header">
-
-  <!-- home link and user box -->
-  <div id="lava-server-user-box">
-    <span class="status-text">
+<!-- lava-container -->
+<div id="lava-container">
+
+  {% block header %}
+  <!-- header -->
+  <div id="lava-server-header">
+
+    <!-- home link and user box -->
+    <div id="lava-server-user-box">
       {% if user.is_authenticated %}
-      {% trans "Signed in as" %} <span class="username">{{user}}</span>
-      <a class="sign-out" href="{% url django.contrib.auth.views.logout %}">{% trans "sign out" %}</a>
+      {% trans "Signed in as" %} <span class="username">{{user}}</span>,
+      <a
+        class="sign-out"
+        href="{% url django.contrib.auth.views.logout %}"
+        >{% trans "sign out" %}</a>
       {% if user.is_staff %}
-      {% trans " or visit " %}<a class="admin-site" href="{% url admin:index %}"
+      {% trans " or visit " %}<a 
+        class="admin-site"
+        href="{% url admin:index %}"
         >{% trans "admin interface" %}</a>
       {% endif %}
       {% else %}
-      {% trans "You are not signed in" %}
-    </span>
-    <a class="sign-in" href="{% url django.contrib.auth.views.login %}">{% trans "sign in" %}</a>
-    {% endif %}
-  </div>
-  <!-- !home link and user box -->
-
-  <div id="lava-server-home">
-    <a href="{% url lava.home %}">{% trans "LAVA Server" %}</a>
-  </div>
-
-  <!-- navigation -->
-  {% block navigation %}
-  <div id="lava-server-navigation"> 
-    <ul>
-      {% for extension in lava.extensions %}
-      <li><a href="{{ extension.get_main_url }}">{{ extension.name }}</a></li>
-      {% endfor %}
-      <li><a href="{% url lava.api_help %}">{% trans "API" %}</a></li>
-    </ul>
-  </div>
-  {% endblock navigation %}
-  <!-- !navigation -->
-
-  <!-- extension navigation -->
-  {% block extension_navigation %}{% endblock %}
-  <!-- !extension navigation -->
+      {% trans "Welcome stranger" %},
+      <a
+        class="sign-in"
+        href="{% url django.contrib.auth.views.login %}"
+        >{% trans "sign in" %}</a>
+      {% endif %}
+    </div>
+    <!-- !home link and user box -->
+
+    <!-- navigation -->
+    {% block navigation %}
+    <div id="lava-server-navigation"> 
+      <ul>
+        <li><a href="{% url lava.home %}">{% trans "LAVA Server" %}</a></li>
+        {% for extension in lava.extensions %}
+        <li><a href="{{ extension.get_main_url }}">{{ extension.name }}</a></li>
+        {% endfor %}
+        <li><a href="{% url lava.api_help %}">{% trans "API" %}</a></li>
+      </ul>
+    </div>
+    {% endblock navigation %}
+    <!-- !navigation -->
+
+    <!-- extension navigation -->
+    {% block extension_navigation %}{% endblock %}
+    <!-- !extension navigation -->
+
+  </div>
+  <!-- !header -->
 
   <!-- breadcrumbs -->
   <div id="lava-server-breadcrumbs">
-    <b>You are here:</b>
+    <b>{% trans "You are here:" %}</b>
     <ul>
-      <li><a href="{% url lava.home %}">{% trans "Home" %}</a></li>
+      <li><a href="{% url lava.home %}">{% trans "LAVA" %}</a></li>
       {% block breadcrumbs %}{% endblock %}
     </ul>
   </div>
   <!-- !breadcrumbs -->
 
-  <!--
-  <div class="ui-widget-header ui-corner-all lava-server-toolbar">
-  </div>
-  -->
-</div>
-<script type="text/javascript">
-  $("#lava-server-user-box a").button();
-  $("#lava-server-home a ").button({
-    icons: {
-      primary: 'ui-icon-home'
-    }
-  });
-  $("#lava-server-navigation li a").button()
-  $("#lava-server-extension-navigation li a").button()
-</script>
-<!-- !header -->
-{% endblock header %}
-
-
-{% block content-and-sidebar %}
-<div id="lava-server-content">
-  <!-- sidebar (not in this layout) -->
-  <!-- content -->
-  {% block content %}{% endblock %}
-  <!-- !content -->
-</div>
-{% endblock %}
-
-<!-- footer -->
-<div id="lava-server-footer">
-  {% block footer %}
-  <p id="lava-server-copyright">
+  {% endblock header %}
+
+  {% block content-and-sidebar %}
+  <div id="lava-server-content-without-sidebar">
+    <div id="lava-server-content">
+      <!-- sidebar (not in this layout) -->
+      <!-- content -->
+      {% block content %}{% endblock %}
+      <!-- !content -->
+    </div>
+  </div>
+
+  {% endblock %}
+  <!-- footer -->
+  <div id="lava-server-footer">
+    {% block footer %}
+    {% endblock footer %}
+  </div>
+  <!-- !footer -->
+</div>
+<!-- !lava-container -->
+
+<!-- lava-server-copyright -->
+<div id="lava-server-copyright-trigger"><span>{% trans "licensing and copyright" %}</span></div>
+<div id="lava-server-copyright">
   LAVA Server is free software developed by <a
     href="http://linaro.org">Linaro</a>. It is distributed under the terms of
   the <a href="http://www.gnu.org/licenses/agpl-3.0.html"
     >GNU Affero General Public License version 3</a>. You have the right to
   obtain source code of any server side installations of this software that you
-  interact with.
-  </p>
-  <p>
-  This website should contain only valid XHTML markup, you can <a
-    href="http://validator.w3.org/check?uri=referer">validate it</a>
-  if you wish
-  </p>
-  {% endblock footer %}
+  interact with. This website should contain only valid XHTML markup, you can <a
+    href="http://validator.w3.org/check?uri=referer">validate it</a> if you
+  wish
 </div>
-<!-- footer -->
+<script type="text/javascript">
+  $(function() {
+    $("#lava-server-copyright").hide()
+    $("#lava-server-copyright-trigger").click(function (event) {
+      $(this).hide();
+      $("#lava-server-copyright").show();
+    });
+  });
+</script>
+<!-- !lava-server-copyright -->
 {% endblock body %}

=== modified file 'lava_server/templates/layouts/content_with_sidebar.html'
--- lava_server/templates/layouts/content_with_sidebar.html	2011-07-12 02:22:10 +0000
+++ lava_server/templates/layouts/content_with_sidebar.html	2011-07-25 23:18:01 +0000
@@ -2,14 +2,14 @@
 
 
 {% block content-and-sidebar %}
-<div id="lava-server-content-then-sidebar">
-  <!-- sidebar -->
-  <div id="lava-server-sidebar"> 
-    {% block sidebar %}{% endblock %}
-  </div>
-  <!-- !sidebar -->
+<div id="lava-server-content-and-sidebar">
   <!-- content -->
   <div id="lava-server-content">
+    <!-- sidebar -->
+    <div id="lava-server-sidebar"> 
+      {% block sidebar %}{% endblock %}
+    </div>
+    <!-- !sidebar -->
     {% block content %}{% endblock %}
   </div>
   <!-- !content -->

=== modified file 'lava_server/templates/linaro_django_xmlrpc/_base.html'
--- lava_server/templates/linaro_django_xmlrpc/_base.html	2011-07-13 18:25:34 +0000
+++ lava_server/templates/linaro_django_xmlrpc/_base.html	2011-07-25 23:18:01 +0000
@@ -7,9 +7,11 @@
 {% endblock %}
 
 
-{% block extension_navigation %}
-<div id="lava-server-extension-navigation" class="lava-server-sub-toolbar">
+{% block navigation %}
+<div id="lava-server-extension-navigation">
   <ul>
+    <li><a class="lava-back" href="{% url lava.home %}"
+      >{% trans "Back to LAVA" %}</a></li>
     <li><a href="{% url lava.api_help %}">{% trans "API Help" %}</a></li>
     <li><a href="{% url linaro_django_xmlrpc.views.tokens %}">{% trans "Authentication Tokens" %}</a></li>
   </ul>