=== modified file 'lava_server/htdocs/css/default.css'
--- lava_server/htdocs/css/default.css	2011-11-10 12:26:47 +0000
+++ lava_server/htdocs/css/default.css	2011-11-18 13:57:11 +0000
@@ -72,32 +72,29 @@
 }
 
 #lava-panel .lava-panel-element {
-  display: block;
-  line-height: 18px;
-  min-height: 18px;
-  padding: 10px 1ex;
+}
+
+#lava-panel .lava-panel-element .lava-panel-menu-text {
+  display: table-cell;
+  vertical-align: middle;
+  padding: 1ex;
+  height: 50px;
+}
+
+#lava-panel .lava-panel-element:hover {
+  border-color: white;
+}
+
+#lava-panel .lava-panel-element.lava-indicator {
+  box-pack: end;
+  -moz-box-pack: end;
+  -webkit-box-pack: end;
 }
 
 #lava-panel .lava-panel-element.has-menu {
   cursor: pointer;
 }
 
-/*
-#lava-panel .lava-panel-element:hover {
-  background-color: #444;
-  color: #000;
-}
-
-#lava-panel a.lava-panel-element:hover {
-  color: #a1cd41;
-}
-
-#lava-panel .lava-panel-element.no-hover:hover {
-  background-color: inherit;
-  color: inherit;
-}
-*/
-
 #lava-panel .lava-panel-element.active {
   background-image: linear-gradient(bottom, rgb(161,205,65) 0%, rgb(0,0,0) 20%);
   background-image: -o-linear-gradient(bottom, rgb(161,205,65) 0%, rgb(0,0,0) 20%);
@@ -114,7 +111,6 @@
   color: white;
 }
 
-
 #lava-panel a {
   color: inherit;
   text-decoration: none;
@@ -135,7 +131,7 @@
 
   position: absolute;
   left: 0;
-  top: 35px;
+  top: 50px;
 
   background: black;
   border: 2px solid #a1cd41;
@@ -177,6 +173,7 @@
 
 #lava-user-indicator .sign-in-hint {
   font-size: 8pt;
+  color: #888;
 }
 
 /* AJAX indicator */

=== modified file 'lava_server/templates/layouts/content.html'
--- lava_server/templates/layouts/content.html	2011-11-18 11:24:38 +0000
+++ lava_server/templates/layouts/content.html	2011-11-18 13:57:11 +0000
@@ -18,7 +18,9 @@
     {% block menu %}
     <!-- menu -->
     {% for menu in lava.menu_list %}
-    <a class="lava-panel-element{% if menu.sub_menu %} has-menu{% endif %}" href="{{ menu.url }}">{{ menu.label }}{% if menu.sub_menu %} &#x25BE;{% endif %}</a>
+    <div class="lava-panel-element{% if menu.sub_menu %} has-menu{% endif %}">
+      <a class="lava-panel-menu-text" href="{{ menu.url }}">{{ menu.label }}{% if menu.sub_menu %} &#x25BE;{% endif %}</a>
+    </div>
     {% if menu.sub_menu %}
     <ul class="lava-panel-menu">
     {% for sub_menu in menu.sub_menu %}
@@ -35,7 +37,9 @@
 
     <!-- ajax indicator -->
     <div class="lava-panel-element lava-indicator no-hover" id="lava-ajax-indicator">
-      <img src="{{ STATIC_URL }}lava-server/images/ajax-loader.gif" alt="AJAX progress indicator"/>
+      <div class="lava-panel-menu-text">
+        <img src="{{ STATIC_URL }}lava-server/images/ajax-loader.gif" alt="AJAX progress indicator"/>
+      </div>
     </div>
     <script type="text/javascript">
       $(document).ajaxStart(function() {
@@ -55,17 +59,19 @@
 
     <!-- user indicator -->
     <div class="lava-indicator lava-panel-element {% if user.is_authenticated %}has-menu{% endif %}" id="lava-user-indicator">
-      <img 
-      src="{{ STATIC_URL }}lava-server/images/avatar-default-symbolic.svg"
-      width="18" height="18"/>
-      {% if user.is_authenticated %}
-      <a href="{% url lava.me %}" class="username">{{user.get_full_name|default:user.username}} &#x25BE;</a>
-      {% else %}
-      <a href="{% url django.contrib.auth.views.login %}" class="username"
-        >{% trans "Guest" %}</a>
-      <br/>
-      <span class="sign-in-hint">Click to sign-in</span>
-      {% endif %}
+      <div class="lava-panel-menu-text">
+        <img 
+        src="{{ STATIC_URL }}lava-server/images/avatar-default-symbolic.svg"
+        width="18" height="18"/>
+        {% if user.is_authenticated %}
+        <a href="{% url lava.me %}" class="username">{{user.get_full_name|default:user.username}} &#x25BE;</a>
+        {% else %}
+        <a href="{% url django.contrib.auth.views.login %}" class="username"
+          >{% trans "Guest" %}</a>
+        <br/>
+        <span class="sign-in-hint">Click to sign-in</span>
+        {% endif %}
+      </div>
     </div>
     {% if user.is_authenticated %}
     <ul class="lava-panel-menu">