=== modified file 'lava_server/context_processors.py'
--- lava_server/context_processors.py	2013-09-06 15:27:45 +0000
+++ lava_server/context_processors.py	2013-09-11 19:34:55 +0000
@@ -27,7 +27,7 @@
 
 def lava(request):
     menu_list = [
-        Menu("LAVA", reverse('lava.home')),
+        Menu("Home", reverse('lava.home')),
     ]
     for extension in loader.extensions:
         menu = extension.get_menu()

=== modified file 'lava_server/htdocs/css/default.css'
--- lava_server/htdocs/css/default.css	2013-08-07 11:35:41 +0000
+++ lava_server/htdocs/css/default.css	2013-09-11 19:34:55 +0000
@@ -9,7 +9,6 @@
   margin: 0;
   height: 100%;
   color: #EEE;
-  background-color: #999999;
   font-family: Ubuntu, Helvetica Neue, Verdana, sans-serif;
 }
 
@@ -23,25 +22,29 @@
 }
 
 a {
-  color: #08C;
+  color: #2e3436;
+}
+
+a:hover {
+  color: #6C9D10;
 }
 
 
 /* Selection style */
 
-::selection { 
+::selection {
   color: white;
-  background-color: #222;
+  background-color: #6C9D10;
 }
 
 ::-moz-selection {
   color: white;
-  background-color: #222;
+  background-color: #6C9D10;
 }
 
 ::-webkit-selection {
   color: white;
-  background-color: #222;
+  background-color: #6C9D10;
 }
 
 /* The master container of all things, similar to body */
@@ -58,8 +61,9 @@
 /* Header */
 
 #lava-panel {
-  background: black;
-  color: #cccccc;
+  color: #888a85;
+  background: -moz-linear-gradient(center top , #FFFFFF 0%, #F5F5F5 100%) repeat scroll 0 0 transparent;
+  border-bottom: 1px solid #dfdfdf;
 
   font-family: 'Cantarell', sans-serif;
   font-weight: bold;
@@ -73,24 +77,12 @@
   display: -moz-box;
   display: -webkit-box;
 
-  height: 37px;
+  height: 50px;
   width: 100%;
   position: relative;
   z-index: 1000;
-  
-
-  background-image: linear-gradient(bottom, #444 50%, #333 90%);
-  background-image: -o-linear-gradient(bottom, #444 50%, #333 90%);
-  background-image: -moz-linear-gradient(bottom, #444 50%, #333 90%);
-  background-image: -webkit-linear-gradient(bottom, #444 50%, #333 90%);
-  background-image: -ms-linear-gradient(bottom, #444 50%, #333 90%);
-  background-image: -webkit-gradient(
-    linear,
-    left bottom,
-    left top,
-    color-stop(0.5, #444),
-    color-stop(0.9, #333)
-  );
+
+
 }
 
 #lava-panel .lava-panel-element .lava-panel-menu-text {
@@ -123,7 +115,7 @@
 
 #lava-panel .lava-panel-element.active {
   color: white;
-  background: #009fd4;
+  background: #98c13d;
 }
 
 #lava-panel a {
@@ -136,18 +128,18 @@
 #lava-menu-bar-right, #lava-menu-bar-left {
   height: 30px;
   position: absolute;
-  top: 0;
+  top: 15px;
   white-space: nowrap;
   z-index: 1000;
 }
 
 #lava-menu-bar-left {
-  left: 0;
+  left: 30px;
   padding-left: 4px;
 }
 
 #lava-menu-bar-right {
-  right: 0;
+  right: 30px;
   padding-right: 5px;
 }
 
@@ -159,10 +151,9 @@
   top: -1000px;
 
   background: white;
-  color: black;
+  color: #888a85;
 
   border: 1px solid #BBB;
-  border-radius: 0 0 3px 3px;
 
   margin: 0;
   padding: 3px 0;
@@ -176,7 +167,6 @@
   padding: 0;
   font-size: 10pt;
   font-weight: bold;
-  text-shadow: 0 0 2pt #CCC;
 }
 
 #lava-panel ul.lava-panel-menu li a {
@@ -186,8 +176,7 @@
 
 #lava-panel ul.lava-panel-menu li a:hover {
   color: white;
-  background: #009fd4;
-  text-shadow: none;
+  background: #98c13d;
 }
 
 /* User indicator */
@@ -205,7 +194,7 @@
 }
 
 #lava-user-indicator .sign-in-hint {
-  color: #888;
+  color: #888a85;
 }
 
 /* AJAX indicator */
@@ -229,21 +218,20 @@
 
 /* Logo */
 
-#lava-logo {
-  min-width: 860px;
-  margin: 1em 3em;
-}
-
-#lava-logo img {
-  border: none;
+#lava-logo-caption {
+  color: #739C18 !important;
+  font-weight: 900;
+  text-shadow: 0.1em 0.1em #c0e0c0 !important;
 }
 
 /* Around content area */
 
 #lava-around-content {
   margin: 1em 3em;
-  background-color: #333;
-  border-radius: 8px;
+  background: #E9E9E9;
+  border: 1px solid #dfdfdf;
+  box-shadow: 0 0 3px rgba(0, 0, 0, 0.2);
+  color: #888a85;
 }
 
 #lava-around-content:before {
@@ -255,18 +243,6 @@
   top: 0;
   left: 0;
   z-index: -1000;
-  background-image: linear-gradient(bottom, rgb(153,153,153) 0%, rgb(0,0,0) 70%);
-  background-image: -o-linear-gradient(bottom, rgb(153,153,153) 0%, rgb(0,0,0) 70%);
-  background-image: -moz-linear-gradient(bottom, rgb(153,153,153) 0%, rgb(0,0,0) 70%);
-  background-image: -webkit-linear-gradient(bottom, rgb(153,153,153) 0%, rgb(0,0,0) 70%);
-  background-image: -ms-linear-gradient(bottom, rgb(153,153,153) 0%, rgb(0,0,0) 70%);
-  background-image: -webkit-gradient(
-    linear,
-    left bottom,
-    left top,
-    color-stop(0, rgb(153,153,153)),
-    color-stop(0.7, rgb(0,0,0))
-  );
 }
 
 /* Breadcrumbs */
@@ -274,7 +250,7 @@
 #lava-breadcrumbs {
   font-size: 10pt;
   margin: 0;
-  padding: 1ex 1em 0.5ex 1em;
+  padding: 10px;
 }
 
 #lava-breadcrumbs ul {
@@ -306,13 +282,9 @@
 #lava-content-and-sidebar,
 #lava-content-without-sidebar {
   color: #444;
-  background-color: white;
-  border-radius: 8px;
-  -moz-border-radius: 8px;
-
-  margin-top: 1ex;
-
-  box-shadow: 0 -3pt 5pt rgba(0,0,0, 0.4);
+  background-color: #F5F5F5;
+  border-top: 1px solid #DFDFDF;
+
   overflow-x: auto;
 
   display: table;
@@ -355,29 +327,16 @@
   left: 0;
   right: 0;
   clear: both;
-  border-top: 2px solid #fff;
+
+  background: -moz-linear-gradient(center top , #F5F5F5 0%, #FFFFFF 100%) repeat scroll 0 0 transparent;
+  border-top: 1px solid #dfdfdf;
+  color: #888a85;
 
   margin: 0 auto;
   height: 100px;
 
   text-align: center;
-  font-size: 8pt;
-
-  background-image: linear-gradient(bottom, rgb(75,75,75) 30%, rgb(35,35,35) 100%);
-  background-image: -o-linear-gradient(bottom, rgb(75,75,75) 30%, rgb(35,35,35) 100%);
-  background-image: -moz-linear-gradient(bottom, rgb(75,75,75) 30%, rgb(35,35,35) 100%);
-  background-image: -webkit-linear-gradient(bottom, rgb(75,75,75) 30%, rgb(35,35,35) 100%);
-  background-image: -ms-linear-gradient(bottom, rgb(75,75,75) 30%, rgb(35,35,35) 100%);
-
-  background-image: -webkit-gradient(
-    linear,
-    left bottom,
-    left top,
-    color-stop(0.3, rgb(75,75,75)),
-    color-stop(1, rgb(35,35,35))
-  );
-  /* This is mainly for IE6 */
-  background-color: #4b4b4b;
+
 }
 
 #lava-footer ul {
@@ -401,11 +360,6 @@
   content: "";
 }
 
-#lava-footer a {
-  color: inherit !important;
-  color: white; /* IE6 */
-}
-
 /* Text listings */
 
 ol.file_listing {
@@ -447,7 +401,7 @@
 
 table.form_helper p.help_text {
   margin: 0.2ex 1ex;
-  color: #888;
+  color: #888a85;
 }
 
 table.form_helper tr { 
@@ -494,7 +448,7 @@
 /* Console snippets */
 
 div.console {
-  background-color: #222;
+  background-color: #6C9D10;
   color: white;
   border: 3px solid #000;
   padding: 0.5ex;
@@ -506,17 +460,17 @@
 }
 
 div.console ::selection {
-  color: #222;
+  color: #6C9D10;
   background-color: white;
 }
 
 div.console ::-moz-selection {
-  color: #222;
+  color: #6C9D10;
   background-color: white;
 }
 
 div.console ::-webkit-selection {
-  color: #222;
+  color: #6C9D10;
   background-color: white;
 }
 
@@ -548,7 +502,7 @@
 }
 
 #lava-sidebar p.help_text {
-  color: #888;
+  color: #888a85;
   padding: 2pt;
 }
 
@@ -559,7 +513,6 @@
   cursor: help;
   background-color: #555;
   color: white;
-  border-radius: 0.5em;
   padding: 0.3em;
 }
 

=== modified file 'lava_server/htdocs/css/demo_table_jui.css'
--- lava_server/htdocs/css/demo_table_jui.css	2011-11-08 23:50:58 +0000
+++ lava_server/htdocs/css/demo_table_jui.css	2013-09-11 19:34:55 +0000
@@ -74,6 +74,10 @@
 	font-weight: normal;
 }
 
+.ui-widget-header, .ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default { 
+  background: -moz-linear-gradient(center top , #FFFFFF 0%, #F5F5F5 100%) repeat scroll 0 0 transparent;
+}
+
 
 /*
  * Sort arrow icon positioning
@@ -278,7 +282,7 @@
 
 
 tr.odd {
-	background-color: #E2E4FF;
+	background-color: #E9EEE9;
 }
 
 tr.even {
@@ -376,27 +380,27 @@
  */
 /* For the standard odd/even */
 tr.odd td.sorting_1 {
-	background-color: #D3D6FF;
+	background-color: #DADADA;
 }
 
 tr.odd td.sorting_2 {
-	background-color: #DADCFF;
+	background-color: #DFDFDF;
 }
 
 tr.odd td.sorting_3 {
-	background-color: #E0E2FF;
+	background-color: #E0E0E0;
 }
 
 tr.even td.sorting_1 {
-	background-color: #EAEBFF;
+	background-color: #E9E9E9;
 }
 
 tr.even td.sorting_2 {
-	background-color: #F2F3FF;
+	background-color: #F2F2F3;
 }
 
 tr.even td.sorting_3 {
-	background-color: #F9F9FF;
+	background-color: #F9F9F9;
 }
 
 

=== modified file 'lava_server/htdocs/css/login.css'
--- lava_server/htdocs/css/login.css	2011-05-23 14:36:47 +0000
+++ lava_server/htdocs/css/login.css	2013-09-10 20:58:07 +0000
@@ -1,7 +1,4 @@
 body {
-  background-color: #222;
-  background: #222 -moz-radial-gradient(50% 0, circle, #444, #222 40%) no-repeat;
-  background: #222 -webkit-gradient(radial, 50% 0, 0, 50% 0, 650, from(#444), color-stop(40%, #222)) no-repeat;
   color: #F5F4E1;
   font-size: 10pt;
   margin: 0;
@@ -20,12 +17,11 @@
 }
 
 #header h1 {
-  color: white;
+  color: #6C9D10 ;
   font-size: 32pt;
   margin: 0.2em;
   padding: 5pt;
   text-align: center;
-  text-shadow: #000 2px 2px;
 }
 
 #header h1.long {
@@ -48,9 +44,8 @@
   padding: 10pt;
 }
 
-#content { 
-  color: white;
-  text-shadow: #333 2px 2px;
+#content {
+  color: #222;
 }
 
 #content p.error {
@@ -68,8 +63,11 @@
 }
 
 #content a {
-  color: rgb(212, 74, 23);
-  text-decoration: none;
+  color: #888a85;
+}
+
+#content a:hover {
+  color: #6C9D10;
 }
 
 /* Main layout table */
@@ -106,7 +104,7 @@
   background-color: #515151;
   background-color: rgba(255, 255, 255, 0.1);
   border: 2pt solid #292929;
-  color: white;
+  color: #888a85;
   display: block;
   margin: auto;
   padding: 3pt;
@@ -114,9 +112,8 @@
 }
 
 input[type=text]:focus, input[type=password]:focus {
-  background-color: #0c0c0c;
-  background-color: rgba(0, 0, 0, 0.8);
-  border: 2pt solid rgb(212, 74, 23);
+  background-color: #F5F4E1;
+  border: 2pt solid #6C9D10;
 }
 
 input[type=password] {
@@ -131,7 +128,7 @@
   -webkit-border-radius: 5pt;
   -webkit-box-shadow: 0 2pt 4pt #222;
   background-color: #D44917;
-  background: -moz-linear-gradient(center bottom, rgb(212,52,16) 6%, rgb(212,74,23) 75%);
+  background: -moz-linear-gradient(center bottom, #6C9D10 6%, #98c13d 75%);
   background: -webkit-gradient(linear, left top, left bottom, color-stop(0.06, rgb(212, 52, 16)), color-stop(0.75, rgb(212, 74, 23)));
   border-radius: 5pt;
   border: none;
@@ -142,7 +139,6 @@
   margin: 1em auto;
   padding: 5pt;
   text-decoration: none;
-  text-shadow: #333 2px 2px;
 }
 
 input.watermark {

=== added file 'lava_server/htdocs/images/linaro-sprinkles.png'
=== added file 'lava_server/htdocs/images/linaro-sprinkles.svg'
--- lava_server/htdocs/images/linaro-sprinkles.svg	1970-01-01 00:00:00 +0000
+++ lava_server/htdocs/images/linaro-sprinkles.svg	2013-09-11 19:34:55 +0000
@@ -0,0 +1,90 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Generator: Adobe Illustrator 15.0.0, SVG Export Plug-In . SVG Version: 6.00 Build 0)  -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   version="1.1"
+   id="Layer_1"
+   x="0px"
+   y="0px"
+   width="22"
+   height="22"
+   viewBox="0 0 22 22"
+   enable-background="new 0 0 226.77 113.39"
+   xml:space="preserve"
+   inkscape:version="0.48.4 r9939"
+   sodipodi:docname="linaro.svg"
+   inkscape:export-filename="/tmp/linaro-sprinkles.png"
+   inkscape:export-xdpi="90"
+   inkscape:export-ydpi="90"><metadata
+     id="metadata3135"><rdf:RDF><cc:Work
+         rdf:about=""><dc:format>image/svg+xml</dc:format><dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" /><dc:title></dc:title></cc:Work></rdf:RDF></metadata><defs
+     id="defs3133" /><sodipodi:namedview
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1"
+     objecttolerance="10"
+     gridtolerance="10"
+     guidetolerance="10"
+     inkscape:pageopacity="0"
+     inkscape:pageshadow="2"
+     inkscape:window-width="1366"
+     inkscape:window-height="709"
+     id="namedview3131"
+     showgrid="false"
+     inkscape:zoom="12.073011"
+     inkscape:cx="25.439599"
+     inkscape:cy="12.693166"
+     inkscape:window-x="0"
+     inkscape:window-y="27"
+     inkscape:window-maximized="1"
+     inkscape:current-layer="Layer_1" /><g
+     id="g3081"
+     transform="matrix(0.40601211,0,0,0.40601211,-6.2355564,-21.466514)"><path
+       d="M 66.918,61.175 H 51.525 c -1.381,0 -2.498,1.117 -2.498,2.496 v 7.727 h 5.525 c 1.566,0 2.834,1.27 2.834,2.834 v 7.328 h 9.531 c 1.379,0 2.496,-1.117 2.496,-2.496 V 63.671 c 0.001,-1.379 -1.116,-2.496 -2.495,-2.496 z"
+       id="path3103"
+       inkscape:connector-curvature="0"
+       style="fill:#a1cd40" /><path
+       d="M 49.027,79.063 V 71.397 H 37.072 v 4.576 c 0,1.252 -1.016,2.268 -2.268,2.268 h -1.521 v 11.26 h 4.34 c 1.176,0 2.127,0.951 2.127,2.127 V 95.5 h 14.803 c 1.566,0 2.834,-1.27 2.834,-2.833 V 81.56 h -5.861 c -1.381,0 -2.499,-1.118 -2.499,-2.497 z"
+       id="path3113"
+       inkscape:connector-curvature="0"
+       style="fill:#a683b8" /><path
+       d="m 54.553,71.397 h -5.525 v 7.666 c 0,1.379 1.117,2.496 2.498,2.496 h 5.861 v -7.328 c 0,-1.564 -1.268,-2.834 -2.834,-2.834 z"
+       id="path3115"
+       inkscape:connector-curvature="0"
+       style="fill:#927a82" /><path
+       d="m 36.119,71.397 h 0.953 v -7.955 c 0,-1.252 -1.016,-2.268 -2.268,-2.268 H 22.273 c -1.252,0 -2.268,1.016 -2.268,2.268 v 2.014 h 2.701 c 0.783,0 1.418,0.635 1.418,1.418 v 5.668 c 0,0.783 -0.635,1.418 -1.418,1.418 h -2.701 v 2.014 c 0,1.252 1.016,2.268 2.268,2.268 h 11.01 v -4.01 c 0,-1.565 1.27,-2.835 2.836,-2.835 z"
+       id="path3117"
+       inkscape:connector-curvature="0"
+       style="fill:#e2496d" /><path
+       d="m 37.072,75.974 v -4.576 h -0.953 c -1.566,0 -2.836,1.27 -2.836,2.834 v 4.01 h 1.521 c 1.253,-0.001 2.268,-1.016 2.268,-2.268 z"
+       id="path3119"
+       inkscape:connector-curvature="0"
+       style="fill:#c92b5c" /><path
+       d="m 33.283,92.667 v -3.166 h -5.408 c -1.174,0 -2.125,0.951 -2.125,2.127 v 9.747 c 0,1.174 0.951,2.125 2.125,2.125 h 9.748 c 1.176,0 2.127,-0.951 2.127,-2.125 V 95.5 h -3.631 c -1.566,0 -2.836,-1.27 -2.836,-2.833 z"
+       id="path3121"
+       inkscape:connector-curvature="0"
+       style="fill:#ea8097" /><path
+       d="m 37.623,89.501 h -4.34 v 3.166 c 0,1.563 1.27,2.833 2.836,2.833 h 3.631 v -3.872 c 0,-1.176 -0.951,-2.127 -2.127,-2.127 z"
+       id="path3123"
+       inkscape:connector-curvature="0"
+       style="fill:#c04b7d" /><path
+       d="m 17.039,65.456 c -0.783,0 -1.418,0.635 -1.418,1.418 v 5.668 c 0,0.783 0.635,1.418 1.418,1.418 h 2.967 v -8.504 h -2.967 z"
+       id="path3125"
+       inkscape:connector-curvature="0"
+       style="fill:#c9e092" /><path
+       d="m 24.125,72.542 v -5.668 c 0,-0.783 -0.635,-1.418 -1.418,-1.418 h -2.701 v 8.504 h 2.701 c 0.783,0 1.418,-0.635 1.418,-1.418 z"
+       id="path3127"
+       inkscape:connector-curvature="0"
+       style="fill:#bd8549" /><path
+       d="m 41.912,67.163 h 3.908 c 0.539,0 0.977,-0.438 0.977,-0.977 v -3.908 c 0,-0.539 -0.438,-0.977 -0.977,-0.977 h -3.908 c -0.539,0 -0.977,0.438 -0.977,0.977 v 3.908 c 10e-4,0.54 0.438,0.977 0.977,0.977 z"
+       id="path3129"
+       inkscape:connector-curvature="0"
+       style="fill:#8b63aa" /></g></svg>
\ No newline at end of file

=== modified file 'lava_server/htdocs/images/logo.png'
Binary files lava_server/htdocs/images/logo.png	2011-11-08 23:47:23 +0000 and lava_server/htdocs/images/logo.png	2013-09-10 20:55:55 +0000 differ
=== modified file 'lava_server/templates/index.html'
--- lava_server/templates/index.html	2013-08-30 13:34:33 +0000
+++ lava_server/templates/index.html	2013-09-10 20:55:55 +0000
@@ -5,23 +5,6 @@
 {% block breadcrumb_container %}
 {% endblock %}
 
-{% block before_content %}
-<div id="lava-logo">
-  <a href="{% url lava.home %}"><img 
-    src="{{ STATIC_URL }}lava-server/images/logo.png"
-    width="150"
-    height="70"
-    alt="Linaro logo"/></a>
-</div>
-<style type="text/css">
-#lava-content-and-sidebar,
-#lava-content-without-sidebar {
-  margin-top: 0;
-}
-</style>
-{% endblock %}
-
-
 {% block content %}
 <h2>LAVA Highlights</h2>
 <p>This page contains highlights from the installed lava server extensions.

=== modified file 'lava_server/templates/layouts/content.html'
--- lava_server/templates/layouts/content.html	2013-08-19 10:45:42 +0000
+++ lava_server/templates/layouts/content.html	2013-09-11 19:34:55 +0000
@@ -18,6 +18,12 @@
     {% block menu %}
     <!-- menu -->
     <div id="lava-menu-bar-left">
+      <div class="lava-panel-element">
+        <a href="http://www.linaro.org/"><img src="{{ STATIC_URL }}lava-server/images/linaro-sprinkles.png" style="margin-left: 5px"/></a>
+      </div>
+      <div class="lava-panel-element">
+        <a class="lava-panel-menu-text" id="lava-logo-caption">LAVA</a>
+      </div>
     {% for menu in lava.menu_list %}
     <div class="lava-panel-element{% if menu.sub_menu %} has-menu{% endif %}">
       <a class="lava-panel-menu-text" href="{{ menu.url }}">{{ menu.label }}{% if menu.sub_menu %} &#x25BE;{% endif %}</a>
@@ -68,21 +74,18 @@
     <!-- user indicator -->
     <div class="lava-indicator lava-panel-element {% if user.is_authenticated %}has-menu{% endif %}" id="lava-user-indicator">
       <div class="lava-panel-menu-text">
-        {% if not user.is_authenticated %}
-        <span class="sign-in-hint">Click to sign-in &#x25BB;</span>
-        {% endif %}
+        {% if user.is_authenticated %}
         <img 
         src="{{ STATIC_URL }}lava-server/images/avatar-default-symbolic.svg"
         width="18" height="18"/>
-        {% if user.is_authenticated %}
         <a href="{% url lava.me %}" class="username">{{user.get_full_name|default:user.username}} &#x25BE;</a>
         {% else %}
           {% if request.get_full_path == "/accounts/logout/" %}
             <a href="{% url django.contrib.auth.views.login %}"
-	      class="username">{% trans "Guest" %}</a>
-	  {% else %}
+               class="username">{% trans "Sign In" %}</a>
+          {% else %}
             <a href="{% url django.contrib.auth.views.login %}?next={{request.get_full_path}}"
-	      class="username">{% trans "Guest" %}</a>
+               class="username">{% trans "Sign In" %}</a>
           {% endif %}
         {% endif %}
       </div>